/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLPreElement_H___INT_
#define __GdomHTMLPreElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLPreElement.h"
G_BEGIN_DECLS
class GDOMHTMLPreElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_PRE_ELEMENT; }
    GDOMHTMLPreElement(PassRefPtr<WebCore::HTMLPreElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLPreElement_H___INT_*/
